SDL_GamepadEventsEnabled(3)

NAME
SDL_GamepadEventsEnabled - Query the state of gamepad event processing.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GamepadEventsEnabled(void);

DESCRIPTION
If gamepad events are disabled, you must call SDL_UpdateGamepads () yourself and check the state of the gamepad when you want gamepad information.

RETURN VALUE
Returns SDL_TRUE
 if gamepad events are being processed, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetGamepadEventsEnabled(3)